Bug 184150 - kernel conflicts with udev < 071-0.FC4.2 (while updating from kernel 1831)
kernel conflicts with udev < 071-0.FC4.2 (while updating from kernel 1831)
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-06 16:31 EST by Frans Zoons
Modified: 2015-01-04 17:25 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-06 18:44:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frans Zoons 2006-03-06 16:31:11 EST
Description of problem:
Type as root: yum -y update

Version-Release number of selected component (if applicable):
Updating kernel 1831 to 1833

How reproducible:
Yes. Completly reproducible.

Steps to Reproduce:
1. Type as root: yum -y update
  
Actual results:

Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Package kernel.x86_64 0:2.6.15-1.1833_FC4 set to be installed
---> Package pam_krb5.x86_64 0:2.1.15-2 set to be updated
---> Package kernel-devel.x86_64 0:2.6.15-1.1833_FC4 set to be installed
---> Downloading header for shadow-utils to pack into transaction set.
shadow-utils-4.0.12-7.FC4 100% |=========================|    0 B    00:15
shadow-utils-4.0.12-7.FC4 100% |=========================|  38 kB    00:00
---> Package shadow-utils.x86_64 2:4.0.12-7.FC4 set to be updated
--> Running transaction check
--> Processing Conflict: kernel conflicts udev < 071-0.FC4.2
--> Finished Dependency Resolution
Error: kernel conflicts with udev < 071-0.FC4.2

Expected results:
Of course an update without conflicts

Additional info:
Comment 1 Dave Jones 2006-03-06 18:44:38 EST
071-0.FC4.3 is in updates-released now.
Maybe you hit an out of date mirror ?

It's there on the master site at ..
http://download.fedora.redhat.com/pub/fedora/linux/core/updates/4/x86_64/udev-071-0.FC4.3.x86_64.rpm
Comment 2 Frans Zoons 2006-03-07 12:18:19 EST
Hi Dave,

no, I'm sorry.I did not. I've used the same site.

Ok, so the next step should be:

Install/ update udev with yum:
[root@localhost Frans]# yum -y update udev
Setting up Update Process
Setting up repositories
Reading repository metadata in from local files
Could not find update match for udev
No Packages marked for Update/Obsoletion
---
Next try with rpm:

[root@localhost Frans]# rpm -iU /media/hdb1/Frans/MyDocs/udev-071-0.FC4.3.x86_64.rpm
error: Failed dependencies:
        module-init-tools < 0:3.2-0.pre9.0.FC4.2 conflicts with
udev-071-0.FC4.3.x86_64
---
And checking with install packages:
udev (already installed)
module-init-tools (already installed)
kernel (needs udev -> not installed)
---
Any ideas? May be I should wait until the next kernel update!?
Comment 3 Dave Jones 2006-03-07 16:08:35 EST
bah, grab the module-init-tools update from the same url above.
(or you could try disabling the mirrorlist in the /etc/yum.repos.d/ and see if
that sorts everything out)
Comment 4 Frans Zoons 2006-03-08 06:18:10 EST
Already did that.
---
command 'yum search module-init-tools' in konsole gives as output:
'Matched from:
module-init-tools
module-init-tools.x86_64                 3.2-0.pre9.0.FC4.4     installed'
---
Could it be that installing extra drivers (in this case Nvidia nforce 430 NIC
and audio) could change the configuration of FC4 in a way which makes updating
the kernel impossible!? Just guessing here...

Note You need to log in before you can comment on or make changes to this bug.